﻿
using System;
using System.Drawing;
using Wisej.Web;
using Wisej.Web.Ext.ChartJS;

namespace CustomLabelsChartJS
{
    public partial class Page1 : Page
    {
        private Random random = new Random();
        public Page1()
        {
            InitializeComponent();
        }

        private void Page1_Load(object sender, EventArgs e)
        {
            var dataSet = new BarDataSet();
            var data = new object[5];
            var customLabel = new string[5];
            for (int i = 0; i < 5; i++)
            {
                data[i] = NextFloat();
                customLabel[i] = data[i].ToString().Replace('.', ':');
            }


            dataSet.BackgroundColor = new Color[]
            {
                Color.FromArgb(49, 255, 0, 0),
                Color.FromArgb(58, 102, 255, 0),
                Color.FromArgb(52, 0, 183, 255),
                Color.FromArgb(53, 247, 0, 255),
                Color.FromArgb(52, 191, 123, 63),
            };
            dataSet.Data = data;
            dataSet.Label = "DataSet with Custom Labels";
            dataSet.Formatted = customLabel;
            chartJS1.DataSets.Add(dataSet);
            chartJS1.UpdateData();
        }

        private double NextFloat()
        {
            return Math.Round((double)(random.NextDouble() * (1.00 + 59.59) + 1.00),2);
        }
    }
}
